# パッケージの場所をリクエスト ![](https://docs.equinix.com/ja/assets/images/OrderPackagesLocation-c374f37bd1d54fdb6bf93753729d00fe.png) ## 前提条件[​](#前提条件 "への直接リンク前提条件") 1. 認証-ユーザー認証情報、クライアントID、クライアントシークレットを送信してOauth2認証を行います。認証情報を検証および認証するためにOAuth APIを呼び出す方法については、「[API認証」を](https://docs.equinix.com/ja/equinix-api/api-authentication.md)参照してください。 2. 荷物受取オーダー番号を取得する-エンドポイントにリクエストを[`/colocations/v2/orders/{orderId}`](https://docs.equinix.com/ja/api-catalog/ordersv2/orders/get%20order%20details.md)送信して、`GET`すでに予約されている荷物受取のオーダー番号を取得します。新しい荷物受取をスケジュールするには、エンドポイントにリクエストを[`/colocations/v2/orders/shipments`](https://docs.equinix.com/ja/api-catalog/shipmentsv2/shipments/schedule%20inbound%20or%20outbound%20shipment.md)送信します。`POST`荷物受取をスケジュールするには、ユーザーに権限が必要です。`Shipments`すでに荷物受取オーダー番号がある場合は、この手順をスキップできます。 3. Smart Handsの詳細を取得するには、発注権限が必要です。`Smart Hands` 4. Get Smart Hands Types -エンドポイントにリクエストを[`/v1/orders/smarthands/types`](https://docs.equinix.com/ja/api-catalog/smarthandsv1/smarthands/smarthandtypes.md)送信して、`GET`すべてのSmart Handsオーダータイプを取得します。Smart Handsのオーダータイプがすでにわかっている場合は、この手順をスキップできます。 5. ロケーション情報の取得-エンドポイントにリクエストを[`/v1/orders/smarthands/locations`](https://docs.equinix.com/ja/api-catalog/smarthandsv1/smarthands/getlocation.md)送信して、`GET`アクセス可能なIBXロケーションを取得します。ロケーション情報がすでにわかっている場合は、この手順をスキップしても構いません。 ## パッケージの場所[​](#パッケージの場所 "への直接リンクパッケージの場所") IBXでパッケージの場所をリクエストするには、エンドポイントにリクエストを[`/v1/orders/smarthands/locatePackage`](https://docs.equinix.com/ja/api-catalog/smarthandsv1/smarthands/handlesmarthandlocatepackageorder.md)送信します。`POST`リクエストの本文にあるオブジェクトで、パッケージとニーズの詳細を指定します。`serviceDetails`オプションのオブジェクトを使用して、`attachments`技術者の追加詳細を含めることができます。 > **メモ** > > アタッチメント付きのオーダーを作成する前に、エンドポイントに電話してください。[`Attachments File`](https://docs.equinix.com/ja/api-catalog/attachmentsv1/attachments/createattachment.md) ``` curl -X POST "https://api.equinix.com/v1/orders/smarthands/locatePackage" -H "content-type: application/json" -H "authorization: Bearer " -d '{     "ibxLocation": {     "ibx": "AM1",     "cages": [       {         "cage": "AM1:0J:00JD11",         "cabinets": [             "AM1:0J:00JD11:0001"         ],         "accountNumber": "126854"       }     ]   },   "serviceDetails": {     "shipmentOrderNumber": "1-1234567890",     "trackingNumber": "All tracking numbers in this shipment order.",     "possibleLocation": "Last known location was the loading bay.",     "packageDescription": "Multiple DHL boxes.",     "scopeOfWork": "Locate and group all boxes together in a fixed location for easy identification and later collection.",     "needSupportFromASubmarineCableStationEngineer": true   },   "attachments": [     {         "id": "fcb2k8763-2947-456e-8d68-f280753d60ba",         "name": "AdditionalShipmentWorkDetails.docx"     }   ],   "schedule": {     "scheduleType": "SCHEDULED_MAINTENANCE",     "requestedStartDate": "2019-08-30T22:00:49.776Z",     "requestedCompletionDate": "2019-08-31T22:00:49.776Z"   },   "customerReferenceNumber": "EQX-PO2019-08-001",   "purchaseOrder": {     "purchaseOrderType": "EXEMPTED",     "attachment": {         "id": "abc1fd2e-345f-67g4-hi89-01jk234l5m6n",         "name": "PurchaseOrderExemptionForm123.docx"     }   },   "contacts": [     {         "contactType": "ORDERING",         "userName": "johndoe"     },     {         "contactType": "TECHNICAL",         "name": "Jane Smith",         "email": "janesmith@corporation.com",         "workPhoneCountryCode": "+44",         "workPhone": "0148211111",         "workPhonePrefToCall": "MY_BUSINESS_HOURS",         "workPhoneTimeZone": "Europe/London",         "mobilePhoneCountryCode": "+44",         "mobilePhone": "0123456789",         "mobilePhonePrefToCall": "MY_BUSINESS_HOURS",         "mobilePhoneTimeZone": "Europe/London"     },     {         "contactType": "NOTIFICATION",         "userName": "johndoe"     },     {         "contactType": "NOTIFICATION",         "userName": "janesmith"     }   ] }' ``` 本文のパラメータと説明の完全なリストについては、[APIリファレンスを](https://docs.equinix.com/ja/api-catalog/smarthandsv1/smarthands/handlesmarthandlocatepackageorder.md)参照してください。 回答例 ``` {   "OrderNumber": "1-457809872838" } ``` 応答は注文が成功したことを示し、注文番号を返します。